Bug 1288288 - orage needs to be rebuilt for EL7.2
orage needs to be rebuilt for EL7.2
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: orage (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 21:06 EST by Anssi Johansson
Modified: 2015-12-26 18:24 EST (History)
3 users (show)

See Also:
Fixed In Version: orage-4.10.0-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-26 18:24:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anssi Johansson 2015-12-03 21:06:42 EST
Description of problem:
orage depends on libicalvcal.so.0, libicalss.so.0 and libical.so.0, provided by libical-0.48-6.el7 in RHEL 7.1.

libical was updated in RHEL 7.2, and the updated libical package provides libicalvcal.so.1, libicalss.so.1 and libical.so.1. This means orage will need to be rebuilt against the new library to be usable on RHEL 7.2

Version-Release number of selected component (if applicable):
4.10.0-4.el7

Steps to Reproduce:
1. Upgrade to RHEL 7.2
2. yum install orage

Actual results:
See yum complain about a missing dependency

Expected results:
orage gets installed

Additional info:
EPEL7's builders have already been updated to RHEL 7.2, so it probably suffices to just bump the release number and rebuild.
Comment 1 Mukundan Ragavan 2015-12-03 21:47:41 EST
yeah ... I meant to do that along with a bunch of other packages ..

That's what this scratch build was about - https://koji.fedoraproject.org/koji/taskinfo?taskID=11958040


I will rebuild it tomorrow unless kevin beats me to it.
Comment 2 Fedora Update System 2015-12-06 21:34:17 EST
orage-4.10.0-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5e8db1a33a
Comment 3 Peter Ajamian 2015-12-07 14:58:21 EST
I ran across the same issue and installed this package from koji which works just fine for me: http://koji.fedoraproject.org/koji/buildinfo?buildID=703093

How can I upvote this for faster inclusion into epel-testing and then epel?


Peter
Comment 4 Mukundan Ragavan 2015-12-07 17:09:13 EST
It's already submitted for updates (see comment 2) and should appear in epel-testing soon.
Comment 5 Fedora Update System 2015-12-08 02:21:25 EST
orage-4.10.0-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update orage'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5e8db1a33a
Comment 6 Fedora Update System 2015-12-26 18:24:45 EST
orage-4.10.0-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.